Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.tagger.maxent
Class TaggerSaxInterface<T>

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          edu.stanford.nlp.process.TransformXML.SAXInterface<T>
              edu.stanford.nlp.tagger.maxent.TaggerSaxInterface<T>

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class TaggerSaxInterface<T>

extends TransformXML.SAXInterface<T>

Based on SAXInterface in TransformXML, but discards internal tags in fields to be tagged, tagging all content in the fields.

Author:
  Anna Rafferty

Field Summary

Fields inherited from class edu.stanford.nlp.process.TransformXML.SAXInterface
`elementsToBeTransformed, function, inElementToBeTransformed, outWriter, textToBeTransformed`

Constructor Summary
`TaggerSaxInterface()`

Method Summary
`void` | `endElement(String uri, String localName, String qName)`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class edu.stanford.nlp.process.TransformXML.SAXInterface
`characters, clear`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggerSaxInterface

    public TaggerSaxInterface()

Method Detail

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `TransformXML.SAXInterface<T>`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `TransformXML.SAXInterface<T>`
  Throws:
    `SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group